Command line options
Prev |  | Next

## Command line options

### Option Summary

Here is a summary of all the options, grouped by type. Explanations are in the following sections.

General Options

  `-h`, `--help` ; `-V`, `--version` ; `--disable-server` ; `--default-display=`display`` ; `--default-working-directory=`directory``

Window or Tab Separators

  `--tab` ; `--window`

Tab Options

  `-x`, `--execute` ; `-e`, `--command=`command`` ; `--working-directory=`directory`` ; `-T`, `--title=`title`` ; `-H`, `--hold`

Window Options

  `--display=`display`` ; `--geometry=`geometry`` ; `--role=`role`` ; `--startup-id=`string`` ; `-I, --icon=`icon`` ; `--fullscreen` ; `--maximize` ; `--show-menubar` , `--hide-menubar` ; `--show-borders` , `--hide-borders` ; `--show-toolbars` , `--hide-toolbars`

### General Options

`-h`, `--help`

  List the various command line options supported by Terminal and exit

`-V`, `--version`

  Display version information and exit

`--disable-server`

  Do not register with the D-BUS session message bus

`--default-display=`display``

  Default X display to use.

`--default-working-directory=`directory``

  Set `directory` as the default working directory for the terminal

### Window or Tab Separators

`--tab`

  Open a new tab in the last-specified window; more than one of these options can be provided.

`--window`

  Open a new window containing one tab; more than one of these options can be provided.

### Tab Options

`-x`, `--execute`

  Execute the remainder of the command line inside the terminal

`-e`, `--command=`command``

  Execute `command` inside the terminal

`--working-directory=`directory``

  Set `directory` as the working directory for the terminal

`-T`, `--title=`title``

  Set `title` as the initial window title for the terminal

`-H`, `--hold`

  Causes the terminal to be kept around after the child command has terminated

### Window Options

`--display=`display``

  X display to use for the last- specified window.

`--geometry=`geometry``

  Sets the geometry of the last-specified window to `geometry`. Read X(7) for more information on how to specify window geometries.

`--role=`role``

  Sets the window role of the last-specified window to `role`. Applies to only one window and can be specified once for each window you create from the command line. It is mostly used for session management inside Terminal

`--startup-id=`string``

  Specifies the startup notification id for the last-specified window. Used internally to forward the startup notification id when using the D-BUS service.

`-I, --icon=`icon``

  Set the terminal's icon as an icon name or filename.

`--fullscreen`

  Set the last-specified window into fullscreen mode; applies to only one window; can be specified once for each window you create from the command line.

`--maximize`

  Set the last-specified window into maximized mode; applies to only one window; can be specified once for each window you create from the command line.

`--show-menubar`

  Turn on the menubar for the last-specified window. Can be specified once for each window you create from the command line.

`--hide-menubar`

  Turn off the menubar for the last-specified window. Can be specified once for each window you create from the command line.

`--show-borders`

  Turn on the window decorations for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

`--hide-borders`

  Turn off the window decorations for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

`--show-toolbars`

  Turn on the toolbars for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

`--hide-toolbars`

  Turn off the toolbars for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

Prev |  | Next
تەڭشەكلەر | Home | Advanced topics